{
  "openapi": "3.1.1",
  "info": {
    "title": "TSCScan Public API",
    "version": "1.0.0",
    "description": "Use /v1 resources on the selected network's API host. The host determines mainnet or testnet; there is no network path or query parameter. Community read and non-custodial transaction API for mainnet and testnet. No API key is required. Dynamic reads use no-store. Default page 25, maximum 100, address batch maximum 50. The mempool feed returns the entire observed pool without pagination; other reads have a 1 MiB response budget. Integer amounts use decimal strings and explicit precision. Coverage is reported by status/capabilities; incomplete modules return DATA_NOT_READY. Proof multipliers, work rates, shares and average intervals are readable decimal strings, finite values remain exact and only repeating decimals are rounded half away from zero to 12 places. Money and asset quantities remain exact smallest-unit strings with precision. Known values omit the redundant state marker; unknown/unavailable values and meaningful lifecycle states remain explicit. On api.tensorcash.org the /v1 resources are mainnet and are also served under /api/v1/mainnet.",
    "x-tensorcash-source": {
      "product": "TSCScan public API",
      "author": "rHuhu",
      "license": "MIT",
      "homepage": "https://tscscan.xyz",
      "repository": "rHuhu/tscscan (git.tensorcash.org)",
      "tag": "v1.0.0",
      "commit": "12f98c54f6dfb5d2d15c60cc0a0f958beebc35a1",
      "file": "docs/site/openapi.json",
      "sha256": "d75997cd83e7b760c1276bd2104b83a2df303d7a913ed60fe2135bc3eee55cac",
      "filtered_by": {
        "file": "scripts/api-docs/nginx-api-server.conf",
        "sha256": "2a7dc40dd1ae885832e00337a0f5736f7a01fad8e2f399c6c869b967424d6b9f"
      },
      "upstream_operations": 71,
      "published_operations": 53,
      "removed": [
        {
          "method": "POST",
          "path": "/v1/wallet/overview",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "POST",
          "path": "/v1/transactions/test",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "GET",
          "path": "/v1/addresses/{address}/utxos",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "GET",
          "path": "/v1/blocks/height/{height}",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "GET",
          "path": "/v1/transactions/{txid}/raw",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "GET",
          "path": "/v1/fees/estimate",
          "reason": "404: TSCScan wallet-development route, not public on this host"
        },
        {
          "method": "POST",
          "path": "/v1/transactions/broadcast",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/assets/create",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/assets/mint",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/assets/burn",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/assets/transfer",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/assets/redeem",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/register",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/commit",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/reclaim",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/burn",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/challenge",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        },
        {
          "method": "POST",
          "path": "/v1/models/challenge-commit",
          "reason": "405: write method; the host is read-only apart from four POST routes"
        }
      ]
    }
  },
  "servers": [
    {
      "url": "https://api.tensorcash.org",
      "description": "TensorCash mainnet chain API"
    }
  ],
  "paths": {
    "/v1/status": {
      "get": {
        "operationId": "Getnetworkstatus",
        "summary": "Get network status",
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StatusResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Network"
        ]
      }
    },
    "/v1/capabilities": {
      "get": {
        "operationId": "Getcapabilities",
        "summary": "Get capabilities",
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CapabilitiesResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Network"
        ]
      }
    },
    "/v1/blocks": {
      "get": {
        "operationId": "Listblocks",
        "summary": "List blocks",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BlockSummaryPage"
                },
                "example": {
                  "data": [
                    {
                      "height": 123456,
                      "hash": "0000000000000000000000000000000000000000000000000000000000000001",
                      "time": 1790640000,
                      "tx_count": 12,
                      "size_bytes": 1024,
                      "difficulty": "1.234567890123456789",
                      "proof": {
                        "version": 4,
                        "price_multiplier": "2"
                      },
                      "miner_address": "tc1qexample",
                      "miner_reward": {
                        "units": "5000000000",
                        "precision": 8
                      }
                    }
                  ],
                  "page": {
                    "number": 1,
                    "total": 123457,
                    "total_pages": 4939,
                    "limit": 25
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Blocks"
        ]
      }
    },
    "/v1/stats/chain": {
      "get": {
        "operationId": "Getchainstatistics",
        "summary": "Get chain statistics",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChainStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/proof": {
      "get": {
        "operationId": "GetProofpricestatistics",
        "summary": "Get Proof price statistics",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProofStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/miners": {
      "get": {
        "operationId": "Getrecentminerblockdistribution",
        "summary": "Get recent miner block distribution",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/BlocksWindow"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MinerStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/pool": {
      "get": {
        "operationId": "Getwork-weightedPoolstatistics",
        "summary": "Get work-weighted Pool statistics",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/PoolRange"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PoolStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/mining": {
      "get": {
        "operationId": "Getexactfixed-windowminingstatistics",
        "summary": "Get exact fixed-window mining statistics",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MiningStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/mining/series": {
      "get": {
        "operationId": "Getboundedexactminingchartseries",
        "summary": "Get bounded exact mining chart series",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/MiningSeriesRange"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MiningSeriesResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/stats/reward": {
      "get": {
        "operationId": "GetexactTensorCashsubsidyepoch",
        "summary": "Get exact TensorCash subsidy epoch",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RewardStatisticsResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Statistics"
        ]
      }
    },
    "/v1/mempool/summary": {
      "get": {
        "operationId": "Getnetwork-localmempoolobservation",
        "summary": "Get network-local mempool observation",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MempoolSummaryResponse"
                },
                "example": {
                  "data": {
                    "state": "available",
                    "transactions": 3,
                    "bytes": 1000,
                    "observed_at_unix": 1790640000
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Network-local, independently timed Core mempool observation with canonical snapshot headers. API response cache has a maximum 500 ms lifetime and verified chain-source checks. Failed or stale observation returns state unavailable with null values, while a real empty mempool returns available with zeros.",
        "tags": [
          "Mempool"
        ]
      }
    },
    "/v1/mempool/feed": {
      "get": {
        "operationId": "Getcompletenetwork-localmempool",
        "summary": "Get complete network-local mempool",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MempoolFeedResponse"
                },
                "example": {
                  "data": {
                    "state": "available",
                    "observed_at_unix": 1790640000,
                    "transactions": 1,
                    "items": [
                      {
                        "txid": "0000000000000000000000000000000000000000000000000000000000000001",
                        "time": 1790640000,
                        "vsize": 200,
                        "total_output": {
                          "units": "175000000",
                          "precision": 8
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Complete network-local Core observation, refreshed every five seconds, newest first. Every observed ID is returned without pagination. Missing total output is unavailable, never zero. Failed or stale observation is unavailable with null data. API response cache has a maximum 500 ms lifetime when the complete feed fits the cache item budget; oversized feeds bypass it without truncation. This feed is separate from confirmed history.",
        "tags": [
          "Mempool"
        ]
      }
    },
    "/v1/transactions": {
      "get": {
        "operationId": "Listrecenttransactions",
        "summary": "List recent transactions",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          },
          {
            "$ref": "#/components/parameters/TransactionKind"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RecentTransactionPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Transactions"
        ]
      }
    },
    "/v1/addresses": {
      "get": {
        "operationId": "Listfundedaddresses",
        "summary": "List funded addresses",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FundedAddressPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Current funded-address ranking by exact descending balance and ascending address. Each row contains confirmed activity count and latest activity, plus nullable signed rolling 7/30-day net flows. Null means no activity in that window; known zero means activity netted to zero. Numbered pages use the current indexed chain state. Numbered pages and first pages can advance from a valid canonical ancestor; summary contains their current funded count and supply. Only limit, page and min_height are accepted. Chart distribution and optional Market conversion are separate reads.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/blocks/{hash}": {
      "get": {
        "operationId": "Getblock",
        "summary": "Get block",
        "parameters": [
          {
            "$ref": "#/components/parameters/Hash"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BlockDetailResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Blocks"
        ]
      }
    },
    "/v1/blocks/{hash}/transactions": {
      "get": {
        "operationId": "Listblocktransactions",
        "summary": "List block transactions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Hash"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BlockTransactionPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Blocks"
        ]
      }
    },
    "/v1/blocks/{hash}/proof": {
      "get": {
        "operationId": "Getblockproof",
        "summary": "Get block proof",
        "parameters": [
          {
            "$ref": "#/components/parameters/Hash"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProofResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Blocks"
        ]
      }
    },
    "/v1/transactions/{txid}": {
      "get": {
        "operationId": "Gettransaction",
        "summary": "Get transaction",
        "parameters": [
          {
            "$ref": "#/components/parameters/Txid"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransactionDetailResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Transactions"
        ]
      }
    },
    "/v1/transactions/{txid}/inputs": {
      "get": {
        "operationId": "Listtransactioninputs",
        "summary": "List transaction inputs",
        "parameters": [
          {
            "$ref": "#/components/parameters/Txid"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InputSummaryPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Transactions"
        ]
      }
    },
    "/v1/transactions/{txid}/outputs": {
      "get": {
        "operationId": "Listtransactionoutputs",
        "summary": "List transaction outputs",
        "parameters": [
          {
            "$ref": "#/components/parameters/Txid"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OutputSummaryPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Transactions"
        ]
      }
    },
    "/v1/addresses/{address}/balance": {
      "get": {
        "operationId": "Getaddressbalance",
        "summary": "Get address balance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Address"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressBalanceResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/addresses/{address}/transactions": {
      "get": {
        "operationId": "Listaddresstransactions",
        "summary": "List address transactions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Address"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          },
          {
            "$ref": "#/components/parameters/Limit"
          },
          {
            "$ref": "#/components/parameters/Page"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressActivityPage"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/addresses/{address}/summary": {
      "get": {
        "operationId": "Getaddresssummary",
        "summary": "Get address summary",
        "parameters": [
          {
            "$ref": "#/components/parameters/Address"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressSummaryResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/addresses/{address}/balance-history": {
      "get": {
        "operationId": "Getaddressbalancehistory",
        "summary": "Get address balance history",
        "parameters": [
          {
            "$ref": "#/components/parameters/Address"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BalanceHistoryResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/addresses/aliases": {
      "get": {
        "operationId": "Getpublicaddresslabels",
        "summary": "Get public address labels",
        "parameters": [
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Dataset generation; never combine pages from different generations."
              },
              "Cache-Control": {
                "schema": {
                  "const": "no-store"
                },
                "description": "Responses are not stored by browser/intermediary caches."
              },
              "X-Cache-Status": {
                "schema": {
                  "type": "string",
                  "enum": [
                    "hit",
                    "miss",
                    "bypass"
                  ]
                },
                "description": "Whether the API's in-memory projection cache was used."
              },
              "Server-Timing": {
                "schema": {
                  "type": "string",
                  "maxLength": 256
                },
                "description": "API, internal call, Indexer DB-path, cache, and JSON serialization wall times in milliseconds."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressAliasesResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "409": {
            "$ref": "#/components/responses/Error409"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          },
          "429": {
            "$ref": "#/components/responses/Error429"
          },
          "503": {
            "$ref": "#/components/responses/Error503"
          },
          "504": {
            "$ref": "#/components/responses/Error504"
          }
        },
        "description": "Chain-dependent response; compact chain headers identify the serving snapshot.",
        "tags": [
          "Addresses"
        ]
      }
    },
    "/v1/mempool/transactions/{txid}": {
      "get": {
        "operationId": "Getpendingtransaction",
        "summary": "Get pending transaction",
        "parameters": [
          {
            "$ref": "#/components/parameters/Txid"
          },
          {
            "$ref": "#/components/parameters/MinHeight"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful read from one Indexer snapshot",
            "headers": {
              "X-Request-ID": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
                "description": "Request identifier for diagnostics."
              },
              "X-Chain-Height": {
                "schema": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9223372036854776000
                },
                "description": "Indexed height of the actual serving snapshot."
              },
              "X-Chain-Hash": {
                "schema": {
                  "type": "string",
                  "pattern": "^[0-9a-fA-F]{64}$"
                },
                "description": "Canonical hash at the serving indexed height."
              },
              "X-Network-Generation": {
                "schema": {
                  "type": "string",
                  "maxLength": 128
                },
[...]
